﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="BarChart_DifferentColors.WebForm1" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Chart"
    TagPrefix="wijmo" %>
<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1GridView"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        #Panel1
        {
            position: relative !important;
            left: 250px !important;
        }
    </style>
    <title></title>
    <script src="http://code.jquery.com/jquery-1.9.1.min.js" type="text/javascript"></script>
</head>
<body>
    <script type="text/javascript">
        function hintContent() {
            return this.data.label + '\n' + this.y + '';
        }

        var color = [];
        $(document).ready(function () {
            var data = $("#C1GridView1").c1gridview("data");
            for (var i = 0; i < data.length; i++) {
                var status = data[i][2];
                if (status === "Running") {
                    color.push("Yellow");
                }
                else if (status === "Finished") {
                    color.push("Green");
                }
                else if (status === "Failed") {
                    color.push("Red");
                }
            }
            $("#C1BarChart1").c1barchart({
                painted: function (args) {
                    var count = $(this).data().fields.chartElements.bars.length;
                    for (var i = 0; i < count; i++) {
                        var bar = $(this).c1barchart("getBar", i);
                        bar.attr({
                            fill: color[i],
                            stroke: "black"
                        });
                    }
                    $(".wijmo-wijgrid").css("display", "none");
                },
                mouseOut: function (args) {
                    var count = $(this).data().fields.chartElements.bars.length;
                    for (var i = 0; i < count; i++) {
                        var bar = $(this).c1barchart("getBar", i);
                        bar.attr({
                            fill: color[i],
                            stroke: "black"
                        });
                    }
                }
            });
        });

    </script>
    <form id="form1" runat="server">
    <div>
        <wijmo:C1GridView ID="C1GridView1" runat="server" Visible="true">
        </wijmo:C1GridView>
    </div>
    <div style="height: 645px; width: 837px">
        <wijmo:C1BarChart ID="C1BarChart1" runat="server" Legend-Visible="false" Height="600px"
            Width="800px">
            <Hint>
                <Content Function="hintContent" />
            </Hint>
            <Axis>
                <X Text="WorkFlow">
                </X>
                <Y Text="Time" Compass="West">
                </Y>
            </Axis>
            <Header Text="WorkFlow Monitor">
            </Header>
        </wijmo:C1BarChart>
        <asp:Panel ID="Panel1" runat="server">
            <asp:TextBox ID="TextBox1" runat="server" BackColor="Yellow" Width="47px"></asp:TextBox>
            <asp:Label ID="Label1" runat="server" Text="Running"></asp:Label>
            <asp:TextBox ID="TextBox2" runat="server" BackColor="Green" Width="47px"></asp:TextBox>
            <asp:Label ID="Label2" runat="server" Text="Finished"></asp:Label>
            <asp:TextBox ID="TextBox3" runat="server" BackColor="Red" Width="47px"></asp:TextBox>
            <asp:Label ID="Label3" runat="server" Text="Failed"></asp:Label>
        </asp:Panel>
    </div>
    </form>
</body>
</html>
