﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using C1.Web.Wijmo.Controls.C1Chart;
using System.Drawing;

namespace BarChart_DifferentColors
{
    public partial class WebForm1 : System.Web.UI.Page
    {

        protected void Page_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Week", typeof(string));
            dt.Columns.Add("Time", typeof(double));
            dt.Columns.Add("Status", typeof(string));

            dt.Rows.Add("Wk1", 6, "Running");
            dt.Rows.Add("Wk1", 10, "Failed");
            dt.Rows.Add("Wk1", 19, "Failed");
            dt.Rows.Add("Wk1", 25, "Finished");
            dt.Rows.Add("Wk1", 7, "Running");

            C1BarChart1.DataSource = dt;

            C1.Web.Wijmo.Controls.C1Chart.C1ChartBinding cb = new C1.Web.Wijmo.Controls.C1Chart.C1ChartBinding();
            cb.XField = "Week";
            cb.XFieldType = C1.Web.Wijmo.Controls.C1Chart.ChartDataXFieldType.String;

            cb.YField = "Time";
            cb.YFieldType = C1.Web.Wijmo.Controls.C1Chart.ChartDataYFieldType.Number;

            C1BarChart1.DataBindings.Add(cb);
            C1BarChart1.DataBind();

            C1GridView1.DataSource = dt;
            C1GridView1.DataBind();
        }

  
    
    }
}